<?php
// fonts
function travelstore_custom_typography( $wp_customize ) {

    // Add a new setting for body font family
    $wp_customize->add_setting( 'travelstore_body_font_family', array(
        'default' => 'Open Sans',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    // Add a new control for body font family
    $wp_customize->add_control( 'travelstore_body_font_family', array(
        'label' => __( 'Body Font Family', 'travelstore' ),
        'type' => 'select',
        'section' => 'storefront_typography',
        'choices' => array(
            'Open Sans' => 'Open Sans',
            'Roboto' => 'Roboto',
            'Lato' => 'Lato',
        ),
    ) );

    // Add a new setting for body font size
    $wp_customize->add_setting( 'body_font_size', array(
        'default' => '16px',
        'transport' => 'refresh',
        'sanitize_callback' => 'sanitize_text_field',
    ) );

    // Add a new control for body font size
    $wp_customize->add_control( 'body_font_size', array(
        'label' => __( 'Body Font Size', 'travelstore' ),
        'type' => 'text',
        'section' => 'storefront_typography',
    ) );
}
add_action( 'customize_register', 'travelstore_custom_typography' );